> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an encryption key

> Creates a new encryption key for the authenticated company.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /encryption-keys
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /encryption-keys:
    post:
      tags:
        - Encryption Keys
      summary: Create an encryption key
      description: Creates a new encryption key for the authenticated company.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterCreateEncryptionKeyRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterCreateEncryptionKeyResponse'
          description: OK
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterCreateEncryptionKeyRequest:
      properties:
        description:
          type: string
        kmsKeyUUID:
          format: uuid
          nullable: true
          type: string
        name:
          type: string
      required:
        - name
      type: object
    RouterCreateEncryptionKeyResponse:
      properties:
        encryptionKey:
          $ref: '#/components/schemas/PayloadsEncryptionKey'
        key:
          type: string
      required:
        - encryptionKey
        - key
      type: object
    PayloadsEncryptionKey:
      properties:
        createdAt:
          format: date-time
          type: string
        description:
          type: string
        kmsKeyUUID:
          format: uuid
          nullable: true
          type: string
        name:
          type: string
        type:
          type: string
        updatedAt:
          format: date-time
          type: string
        uuid:
          format: uuid
          type: string
      required:
        - uuid
        - name
        - type
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````